var extTemp;
var Brightness;
var intTemp;
var intHumid;
var intSensor;
var baroSensor;
var baroTemp;
var baroPress;
var humanDet;
var dateTime;

window.onload = main;

var intervalId = window.setInterval(function(){
  main();
}, 5000);

function main(){
    console.log(localIp)
    fetch('http://' + localIp + ':5000/measure')
    .then(res => res.json())
    .then(data => unmarshaller(data));
}

function unmarshaller(data){
    extTemp = data.extTemp;
    intTemp = data.intTemp;
    dateTime = data.dateTime;
//    console.log("External temperature: " + extTemp);
//    console.log("Internal temperature: " + intTemp);
//    console.log("Time stamp: " + dateTime);
    updateView("extTemp", extTemp);
    updateView("intTemp", intTemp);
    updateView("dateTime", dateTime);

}

function updateView(element, value){
    document.getElementById(element).innerHTML=value;
}

