from flask import Flask, render_template
from zcmeasure import get_sensor_data
from zcmeasure_ui.utils import get_local_ip

app = Flask(__name__)


@app.route("/")
def home():
    return render_template('index.html', LOCAL_IP=get_local_ip())


@app.route("/measure", methods=['GET'])
def get_measure():
    data = get_sensor_data()
    return data


if __name__ == "__main__":
    app.run(debug=True)
