import socket


def get_local_ip():
    local_ip = ''
    s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    try:
        # any IP here
        s.connect(('10.255.255.255', 1))
        local_ip = s.getsockname()[0]
    except Exception:
        local_ip = '127.0.0.1'
    finally:
        s.close()

    return local_ip